pycatia.drafting_2dL_interfaces.layout_2d_root

Module initially auto generated using V5Automation files from CATIA V5 R28 on 2020-09-25 14:34:21.593357

Warning

The notes denoted “CAA V5 Visual Basic Help” are to be used as reference only. They are there as a guide as to how the visual basic / catscript functions work and thus help debugging in pycatia.

class pycatia.drafting_2dL_interfaces.layout_2d_root.Layout2DRoot(com_object)

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357)

System.IUnknown
System.IDispatch
System.CATBaseUnknown
System.CATBaseDispatch
System.AnyObject
Layout2DRoot

Interface to manage the 2D Layout root.
property active_sheet: Layout2DSheet

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357)
o Property ActiveSheet() As Layout2DSheet

Retrieves or sets the active sheet of the layout.

Example:
This example retrieves the active sheet currently managed by the layout
root of a part of the active document, supposed to be a part
document.

Dim MyRoot As Layout2DRoot
Set MyRoot = CATIA.ActiveDocument.Part.GetItem(“CATLayout2DRoot)”
Dim MySheet = MyRoot.GetActiveSheet
Return type:

Layout2DSheet

property parameters: Parameters

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357)
o Property Parameters() As Parameters (Read Only)

Returns the collection of parameters of the layout.

Example:

This example retrieves in layoutParameters the collection
of
parameters currently managed by the layout root of a part of the
active document,
supposed to be a part document.


Dim MyRoot As Layout2DRoot
Set MyRoot = CATIA.ActiveDocument.Part.GetItem(“CATLayout2DRoot)”
Dim layoutParameters As Parameters
Set layoutParameters = MyRoot.Parameters
Return type:

Parameters

property relations: Relations

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357)
o Property Relations() As Relations (Read Only)

Returns the collection of relations of the part document.

Example:

This example retrieves in layoutRelations the collection
of
relations currently managed by the layout root of a part of the active
document,
supposed to be a part document.


Dim MyRoot As Layout2DRoot
Set MyRoot = CATIA.ActiveDocument.Part.GetItem(“CATLayout2DRoot)”
Dim layoutRelations As Relations
Set layoutRelations = MyRoot.Relations
Return type:

Relations

property rendering_mode: int

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357)
o Property RenderingMode() As CatRenderingMode

Set/Get the rendering mode of Layout2D. get_RenderingMode method can fail
if rendering value stored on Layout is not a value defined in CatRenderingMode
enum.

Example:
This example sets the rendering mode to catRenderShadingWithEdges for
the layout root of a part of the active document.

Dim MyRoot As Layout2DRoot
Set MyRoot = CATIA.ActiveDocument.Part.GetItem(“CATLayout2DRoot)”
MyRoot. RenderingMode = catRenderShadingWithEdges
Returns:

enum cat_rendering_mode

Return type:

int

reorder_sheets(i_ordered_sheets: tuple) None

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Sub reorder_Sheets(CATSafeArrayVariant iOrderedSheets)

Changes the positions of the sheets in this drawing according to the given
ordered list. iOrderedSheets is the result of a permutation applied to the list
of all the sheets of this drawing, with the following constraint: For every
non-detail sheet, there is not any detail sheet appearing before in
iOrderedSheets.

Example:
This example inverts the sheet order of a drawing made of exactly two
regular sheets.

Set drwsheetsorder = CATIA.ActiveDocument.Part.GetItem(“CATLayoutRoot”)
Set drwsheets = drwsheetsorder.Sheets
Set sheet1 = drwsheets.item(1)
Set sheet2 = drwsheets.item(2)
newsheetorder = Array(sheet2, sheet1)
drwsheetsorder.reorder_Sheets(newsheetorder)
Parameters:

i_ordered_sheets (tuple) –

Return type:

None

property sheets: Layout2DSheets

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357)
o Property Sheets() As Layout2DSheets (Read Only)

Returns the collection of Layout2D sheets of the part
document.

Example:
This example retrieves in SheetCollection the collection of sheets
currently managed by the layout root of a part of the active document, supposed
to be a part document.

Dim MyRoot As Layout2DRoot
Set MyRoot = CATIA.ActiveDocument.Part.GetItem(“CATLayout2DRoot)”
Dim SheetCollection As Layout2DSheets
Set SheetCollection = MyRoot.Sheets.
Return type:

Layout2DSheets

property standard: int

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357)
o Property Standard() As CatDrawingStandard

Returns or sets the DrawingStandard of the part document.

Example:
This example sets the drawing standard currently managed by the layout
root of a part of the active document, supposed to be a part document, to
ISO.

Dim MyRoot As Layout2DRoot
Set MyRoot = CATIA.ActiveDocument.Part.GetItem(“CATLayout2DRoot)”
MyRoot.Standard = catISO
Returns:

enum cat_drawing_standard

Return type:

int

property visu_in_3d: int

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357)
o Property VisuIn3D() As CatVisuIn3DMode

Set/Get the 3D visualization mode of the layout in the 3D Viewer ie in the
3D windows and in the background of each view in every 2D
context.

See also:
CatVisuIn3DMode
Returns:

enum cat_visu_in_3d_mode

Return type:

int